cudnn_frontend::EngineConfig_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_EngineConfig.h
friend class friend class EngineConfigBuilder_v8 EngineConfigBuilder_v8 cudnn_frontend::EngineConfigBuilder_v8::build
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::EngineConfig_v8::engine engine = nullptr
int64_t int64_t cudnn_frontend::EngineConfig_v8::numKnobs numKnobs = 0 describe
std::string std::string cudnn_frontend::EngineConfig_v8::opGraphTag opGraphTag getTag
bool bool cudnn_frontend::EngineConfig_v8::set_knobs_attr set_knobs_attr = false
std::array< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS > std::array<ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS> cudnn_frontend::EngineConfig_v8::bChoices bChoices = {}

Opaque pointer to the backend knobs.

EngineConfig_v8
std::string std::string cudnn_frontend::EngineConfig_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

EngineConfig_v8
numKnobs
operator=
~EngineConfig_v8
EngineConfig_v8 & EngineConfig_v8& cudnn_frontend::EngineConfig_v8::operator= (EngineConfig_v8 &&from)=default operator= EngineConfig_v8 && from cudnn_frontend::EngineConfigBuilder_v8::build describe EngineConfig_v8
cudnn_frontend::EngineConfig_v8::EngineConfig_v8
(EngineConfig_v8 &&from)=default
EngineConfig_v8
EngineConfig_v8 && from
cudnn_frontend::EngineConfig_v8::~EngineConfig_v8
()=default
~EngineConfig_v8
describe
std::string const & std::string const& cudnn_frontend::EngineConfig_v8::getTag () const getTag opGraphTag
cudnn_frontend::EngineConfig_v8::EngineConfig_v8
()
EngineConfig_v8
bChoices
cudnn_frontend::make_shared_backend_pointer
operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
describe
cudnn_frontend::EngineConfig_v8::EngineConfig_v8
(EngineConfig_v8 const &)=delete
EngineConfig_v8
EngineConfig_v8 const &
EngineConfig_v8 & EngineConfig_v8& cudnn_frontend::EngineConfig_v8::operator= (EngineConfig_v8 const &)=delete operator= EngineConfig_v8 const &

EngineConfig_v8 Class This class tells the Configuration of the Engine_v8 in terms of the knob choices Properties:

- num knobs

- Choice

- Engine_v8

Use EngineConfigBuilder_v8 to build this class. Describe returns a string describing the tensor class

cudnn_frontend::EngineConfig_v8
cudnn_frontend::BackendDescriptor
shared_ptr< OpaqueBackendPointer >
T
std::array< T >
+elements
std::array< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
+elements
< ManagedOpaqueDescriptor, CUDNN_KNOB_TYPE_COUNTS >
cudnn_frontend::EngineConfig_v8
-bChoices
-numKnobs
-set_knobs_attr
-opGraphTag
-engine
cudnnStatus_t
std::basic_string< char >
ManagedOpaqueDescriptor
bool
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::EngineConfig_v8
  BackendDescriptor
- cudnn_frontend::EngineConfig_v8
  BackendDescriptor
- cudnn_frontend::EngineConfig_v8
  bChoices
- cudnn_frontend::EngineConfig_v8
  describe
- cudnn_frontend::EngineConfig_v8
  engine
- cudnn_frontend::EngineConfig_v8
  EngineConfig_v8
- cudnn_frontend::EngineConfig_v8
  EngineConfig_v8
- cudnn_frontend::EngineConfig_v8
  EngineConfig_v8
- cudnn_frontend::EngineConfig_v8
  EngineConfigBuilder_v8
- cudnn_frontend::EngineConfig_v8
  err_msg
- cudnn_frontend::EngineConfig_v8
  get_desc
- cudnn_frontend::EngineConfig_v8
  get_error
- cudnn_frontend::EngineConfig_v8
  get_raw_desc
- cudnn_frontend::EngineConfig_v8
  get_status
- cudnn_frontend::EngineConfig_v8
  getTag
- cudnn_frontend::EngineConfig_v8
  initialize_managed_backend_pointer
- cudnn_frontend::EngineConfig_v8
  numKnobs
- cudnn_frontend::EngineConfig_v8
  operator=
- cudnn_frontend::EngineConfig_v8
  operator=
- cudnn_frontend::EngineConfig_v8
  opGraphTag
- cudnn_frontend::EngineConfig_v8
  pointer
- cudnn_frontend::EngineConfig_v8
  set_error
- cudnn_frontend::EngineConfig_v8
  set_knobs_attr
- cudnn_frontend::EngineConfig_v8
  set_status
- cudnn_frontend::EngineConfig_v8
  status
- cudnn_frontend::EngineConfig_v8
  ~EngineConfig_v8